com.saxonica.pull

## Class PullTracer

- java.lang.Object
- - net.sf.saxon.pull.PullFilter
  - - com.saxonica.pull.PullTracer

- All Implemented Interfaces:
    PullProvider

      public class PullTracer
      extends PullFilter

  PullTracer is a PullFilter that can be inserted into a pull pipeline for diagnostic purposes. It traces all the events as they are read, writing details to System.err

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.pull.PullFilter

      `currentEvent`

    - ### Fields inherited from interface net.sf.saxon.pull.PullProvider

      `ATOMIC_VALUE, ATTRIBUTE, COMMENT, END_DOCUMENT, END_ELEMENT, END_OF_INPUT, NAMESPACE, PROCESSING_INSTRUCTION, START_DOCUMENT, START_ELEMENT, START_OF_INPUT, TEXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PullTracer(PullProvider base)` Create a PullTracer

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `next()` Get the next event.

    - ### Methods inherited from class net.sf.saxon.pull.PullFilter

      `close, current, getAtomicValue, getAttributes, getFingerprint, getNameCode, getNamePool, getNamespaceDeclarations, getPipelineConfiguration, getSchemaType, getSourceLocator, getStringValue, getUnderlyingProvider, getUnparsedEntities, setPipelineConfiguration, skipToMatchingEnd`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PullTracer

          public PullTracer(PullProvider base)

      Create a PullTracer
      Parameters:
        `base` - the PullProvider to which requests are to be passed

  - ### Method Detail

    - #### next

          public int next()
                   throws XPathException

      Get the next event. This implementation gets the next event from the underlying PullProvider, copies it to the branch Receiver, and then returns the event to the caller.
      Specified by:
        `next` in interface `PullProvider`
      Overrides:
        `next` in class `PullFilter`
      Returns:
        an integer code indicating the type of event. The code `PullProvider.END_OF_INPUT` is returned at the end of the sequence.
      Throws:
        `XPathException` - if a dynamic error occurs

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.